## UDisksFstabMonitor UDisksFstabMonitor — Monitors entries in the fstab file |

## Functions

const gchar * | udisks_fstab_entry_get_fsname ()
const gchar * | udisks_fstab_entry_get_dir ()
const gchar * | udisks_fstab_entry_get_fstype ()
const gchar * | udisks_fstab_entry_get_opts ()
gint | udisks_fstab_entry_get_freq ()
gint | udisks_fstab_entry_get_passno ()
gint | udisks_fstab_entry_compare ()
UDisksFstabMonitor * | udisks_fstab_monitor_new ()
GList * | udisks_fstab_monitor_get_entries ()

## Signals

void | entry-added | Has Details
void | entry-removed | Has Details

## Types and Values

| UDisksFstabEntry
| UDisksFstabMonitor

## Object Hierarchy

        GObject
        ├── UDisksFstabEntry
        ╰── UDisksFstabMonitor

## Description

This type is used for monitoring entries in the `/etc/fstab` file.

## Functions

### udisks_fstab_entry_get_fsname ()

    const gchar *
    udisks_fstab_entry_get_fsname (UDisksFstabEntry *entry);

Gets the fsname field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The fsname field.

### udisks_fstab_entry_get_dir ()

    const gchar *
    udisks_fstab_entry_get_dir (UDisksFstabEntry *entry);

Gets the dir field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The dir field.

### udisks_fstab_entry_get_fstype ()

    const gchar *
    udisks_fstab_entry_get_fstype (UDisksFstabEntry *entry);

Gets the type field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The type field.

### udisks_fstab_entry_get_opts ()

    const gchar *
    udisks_fstab_entry_get_opts (UDisksFstabEntry *entry);

Gets the opts field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The opts field.

### udisks_fstab_entry_get_freq ()

    gint
    udisks_fstab_entry_get_freq (UDisksFstabEntry *entry);

Gets the freq field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The freq field.

### udisks_fstab_entry_get_passno ()

    gint
    udisks_fstab_entry_get_passno (UDisksFstabEntry *entry);

Gets the passno field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The passno field.

### udisks_fstab_entry_compare ()

    gint
    udisks_fstab_entry_compare (UDisksFstabEntry *entry,
                                UDisksFstabEntry *other_entry);

Comparison function for comparing two UDisksFstabEntry objects.

#### Parameters

entry | A UDisksFstabEntry |
other_entry | Another UDisksFstabEntry. |

#### Returns

Negative value if `entry` < `other_entry` ; zero if `entry` = `other_entry` ; positive value if `entry` > `other_entry` .

### udisks_fstab_monitor_new ()

    UDisksFstabMonitor *
    udisks_fstab_monitor_new (void);

Creates a new UDisksFstabMonitor object.

Signals are emitted in the thread-default main loop that this function is called from.

#### Returns

A UDisksFstabMonitor. Free with `g_object_unref()`.

### udisks_fstab_monitor_get_entries ()

    GList *
    udisks_fstab_monitor_get_entries (UDisksFstabMonitor *monitor);

Gets all /etc/fstab entries

#### Parameters

monitor | A UDisksFstabMonitor. |

#### Returns

A list of UDisksFstabEntry objects that must be freed with `g_list_free()` after each element has been freed with `g_object_unref()`.

[transfer full][element-type UDisksFstabEntry]

## Types and Values

### UDisksFstabEntry

    typedef struct _UDisksFstabEntry UDisksFstabEntry;

The UDisksFstabEntry structure contains only private data and should only be accessed using the provided API.

### UDisksFstabMonitor

    typedef struct _UDisksFstabMonitor UDisksFstabMonitor;

The UDisksFstabMonitor structure contains only private data and should only be accessed using the provided API.

## Signal Details

### The `“entry-added”` signal

    void
    user_function (UDisksFstabMonitor *monitor,
                   UDisksFstabEntry   *entry,
                   gpointer            user_data)

Emitted when a fstab entry is added.

This signal is emitted in the

thread-default main loop

that `monitor` was created in.

#### Parameters

monitor | A UDisksFstabMonitor. |
entry | The UDisksFstabEntry that was added. |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“entry-removed”` signal

    void
    user_function (UDisksFstabMonitor *monitor,
                   UDisksFstabEntry   *entry,
                   gpointer            user_data)

Emitted when a fstab entry is removed.

This signal is emitted in the

thread-default main loop

that `monitor` was created in.

#### Parameters

monitor | A UDisksFstabMonitor. |
entry | The UDisksFstabEntry that was removed. |
user_data | user data set when the signal handler was connected. |

Flags: Has Details